Bug 226630

Summary: [css-scroll-snap] New snap containers always snap to the first scroll position
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: ScrollingAssignee: Martin Robinson <mrobinson>
Status: RESOLVED FIXED    
Severity: Normal CC: cmarcelo, ews-watchlist, fred.wang, jamesr, luiz, simon.fraser, tonikitoo, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=227085
Bug Depends on: 226538    
Bug Blocks: 218115, 226654    
Attachments:
Description Flags
Patch
none
Patch none

Description Martin Robinson 2021-06-04 00:21:10 PDT
When a snapping scroll area is created, post layout snapping always forces the container to the first snap position. This happens even when the container is right-to-left (the last horizontal snap positions is closest to the origin) and when the first snap position shouldn't be active because of proximity.
Comment 1 Martin Robinson 2021-06-07 01:12:32 PDT
Created attachment 430720 [details]
Patch
Comment 2 Martin Robinson 2021-06-07 01:59:21 PDT
Created attachment 430728 [details]
Patch
Comment 3 Radar WebKit Bug Importer 2021-06-11 00:22:30 PDT
<rdar://problem/79184230>
Comment 4 EWS 2021-06-15 00:08:15 PDT
Committed r278862 (238806@main): <https://commits.webkit.org/238806@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 430728 [details].